#ifndef MFILLHHILLAS_H
#define MFILLHHILLAS_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MTASK_H
#include "MTask.h"
#endif

class MParList;
class MHHillas;
class MHillas;

class MFillHHillas : public MTask {
 private:
  const MHillas *fEvt;
  MHHillas *fHistos ;

 public:   
  MFillHHillas (const char *name=NULL, const char *title=NULL); 

  Bool_t PreProcess(MParList *pList);
  Bool_t Process();
  Bool_t PostProcess();
  
  ClassDef(MFillHHillas, 0) // Task to fill the Hillas parameters into histograms
};
    
#endif

